Description: fix "unrecognized character \x17" error
 $^W using Control-W was deprecated in 5.20 and became a hard error in 5.24
Author: Florian Schlichting <fsfs@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=841252
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=118463

--- a/FileDialog.pm
+++ b/FileDialog.pm
@@ -607,10 +607,10 @@
 ####  PRIVATE METHODS AND SUBROUTINES ####
 sub IsNum {
     my($parm) = @_;
-    my($warnSave) = $;
-    $ = 0;
+    my($warnSave) = $^W;
+    $^W = 0;
     my($res) = (($parm + 0) eq $parm);
-    $ = $warnSave;
+    $^W = $warnSave;
     return $res;
 }
 
